//
//  AppDelegate.m
//  DNSResolverDemo
//

#import "AppDelegate.h"
#import "DNSResolver.h"
@interface AppDelegate ()

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    // Override point for customization after application launch.
    DNSResolver *resolver = [DNSResolver share];//DNSResolver初始化
    resolver.accountId = @"xxxxxx";//替换为您在控制台注册应用时分配的Account ID
    resolver.accesskeySecret = @"xxxxxxxxxxxxxxx";//替换为您在控制台注册应用时分配的Accesskey Secret
    resolver.accessKeyId = @"xxxxxxxxxxxxxxxx";//替换为您在控制台注册应用时分配的Accesskey ID
    resolver.scheme = DNSResolverSchemeHttps;//设置访问DNS服务器时使用http协议
    resolver.cacheEnable = YES;//设置开启缓存，使用预加载方法前请开启该功能
    resolver.schedulePrefetchEnable = YES;//设置开启定时更新过期缓存
    resolver.speedTestEnable = YES;//设置开启对缓存数据的ip测速
    resolver.timeout = 3;//设置解析超时时间，建议2~5s，默认3s
    resolver.cacheCountLimit = 500;//设置域名解析缓存最大数量，默认为100个域名
    resolver.ipv6Enable = NO;//设置是否使用IPv6网络解析域名，默认为NO（确认当前网络是IPv6时开启）
    resolver.speedPort = 80;//设置IP测速的方式，如果IP测速开启，并且设置该参数为0，则使用ICMP探测；如果设置该参数为80、443或其它支持的端口号，则为socket指定端口探测
    resolver.maxNegativeCache = 60;//设置否定缓存的最大TTL时间，如果设置了该时间，则会限制否定缓存的最大TTL不超过该设置时间
    resolver.maxCacheTTL = 3600;//设置缓存的最大TTL时间，如果设置了该时间，则会限制缓存的最大TTL不超过该设置时间。
    resolver.ispEnable = YES;//SDK可设置是否开启依据ISP网络区分域名缓存。如果开启，则在不同网络环境下域名缓存数据分别存储互不影响。如果不开启，则不同网络下使用同一份域名缓存数据。
    //预加载
    [[DNSResolver share] preloadDomains:@[@"www.baidu.com",@"www.douyin.com"] complete:^{
        NSLog(@"预解析完成.");
        NSArray *array = [[DNSResolver share] getIpv4ByCacheWithDomain:@"www.douyin.com" andExpiredIPEnabled:YES];
        NSLog(@"array==%@",array);
    }];
    return YES;
}

@end
